Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.provider.java.security
Class IvAlgorithmParameters

    java.lang.Object
      |
      +--java.security.AlgorithmParametersSpi
            |
            +--org.mozilla.jss.provider.java.security.IvAlgorithmParameters

public class IvAlgorithmParameters
extends java.security.AlgorithmParametersSpi

This class is only intended to be used to implement CipherSpi.getAlgorithmParameters().

Field Summary
`private javax.crypto.spec.IvParameterSpec` | `ivParamSpec`

Constructor Summary
`IvAlgorithmParameters()`

Method Summary
`byte[]` | `engineGetEncoded()`
`byte[]` | `engineGetEncoded(java.lang.String format)`
`java.security.spec.AlgorithmParameterSpec` | `engineGetParameterSpec(java.lang.Class clazz)`
`void` | `engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)`
`void` | `engineInit(byte[] params)`
`void` | `engineInit(byte[] params, java.lang.String format)`
`java.lang.String` | `engineToString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ivParamSpec

    private javax.crypto.spec.IvParameterSpec ivParamSpec

Constructor Detail

### IvAlgorithmParameters

    public IvAlgorithmParameters()

Method Detail

### engineInit

    public void engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`

### engineGetParameterSpec

    public java.security.spec.AlgorithmParameterSpec engineGetParameterSpec(java.lang.Class clazz)
                                                                     throws java.security.spec.InvalidParameterSpecException

  Specified by:
    `engineGetParameterSpec` in class `java.security.AlgorithmParametersSpi`
    `java.security.spec.InvalidParameterSpecException`

### engineInit

    public void engineInit(byte[] params)
                    throws java.io.IOException

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
    `java.io.IOException`

### engineInit

    public void engineInit(byte[] params,
                           java.lang.String format)
                    throws java.io.IOException

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
    `java.io.IOException`

### engineGetEncoded

    public byte[] engineGetEncoded()
                            throws java.io.IOException

  Specified by:
    `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`
    `java.io.IOException`

### engineGetEncoded

    public byte[] engineGetEncoded(java.lang.String format)
                            throws java.io.IOException

  Specified by:
    `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`
    `java.io.IOException`

### engineToString

    public java.lang.String engineToString()

  Specified by:
    `engineToString` in class `java.security.AlgorithmParametersSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD